# valuedescexport.cpp File Reference

Template File. More...

`#include "valuenodeadd.h"`
`#include "canvasadd.h"`
`#include "valuedescexport.h"`
`#include "layerparamconnect.h"`
`#include "layerparamset.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_const.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT_NO_GET_LOCAL_NAME (Action::ValueDescExport)
| ACTION_SET_NAME (Action::ValueDescExport,"ValueDescExport")
| ACTION_SET_LOCAL_NAME (Action::ValueDescExport, N_("Export"))
| ACTION_SET_TASK (Action::ValueDescExport,"export")
| ACTION_SET_CATEGORY (Action::ValueDescExport, Action::CATEGORY_VALUEDESC)
| ACTION_SET_PRIORITY (Action::ValueDescExport, 0)
| ACTION_SET_VERSION (Action::ValueDescExport,"0.0")
| ACTION_SET_CVS_ID (Action::ValueDescExport,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT_NO_GET_LOCAL_NAME | ( | Action::ValueDescExport |  | ) |

ACTION_SET_NAME | ( | Action::ValueDescExport | ,
|  | "ValueDescExport" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ValueDescExport | ,
|  | N_("Export") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ValueDescExport | ,
|  | "export" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ValueDescExport | ,
|  | Action::CATEGORY_VALUEDESC |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ValueDescExport | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ValueDescExport | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ValueDescExport | ,
|  | "$Id$" |  |
| ) |  |  |